﻿body {
    --background-color: #202020;
    --light-background-color: #fcfcfd;
    --share-background-color: #f0f0f1;
    --footer-background-color: #e0e0e2;
    --main-color: #0060a0;
    --text-color: #f8fafa;
    --light-text-color: #202020;
    --footer-text-color: #808088;
    --fonts: "Segoe UI", "HiraKakuProN-W3", "Hiragino Kaku Gothic ProN", "Hiragino Sans", "Noto Sans JP", sans-serif;
    --bold-fonts: "HiraKakuProN-W6", var(--fonts);
    display: flex;
    flex-direction: column;
    margin: 0;
    min-height: 100dvh;
    font-family: var(--fonts);
    font-size: 16px;
    line-height: 1.9;
    background-color: var(--background-color);
    color: var(--text-color);
    overflow-y: scroll;
    -webkit-text-size-adjust: 100%;
}

* {
    box-sizing: border-box;
}

main {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    container-type: inline-size;
    background-image:
        radial-gradient(circle at 0% 0%, color-mix(in srgb, var(--main-color) 25%, transparent) 0%, transparent 50%),
        radial-gradient(circle at 100% 100%, var(--main-color) 0%, transparent 40%);
}

    main > *:last-child {
        flex-grow: 1;
    }

    main > section {
        margin: 0 auto;
        padding: 48px 0;
        width: 1280px;
    }

        main > section > *:first-child {
            margin-top: 0;
        }

        main > section > h1:first-child {
            margin-top: 32px;
        }

        main > section > *:last-child {
            margin-bottom: 0;
        }

        main > section > h1:last-child {
            margin-bottom: 8px;
        }

        main > section.light-section {
            position: relative;
            color: var(--light-text-color);
            isolation: isolate;
        }

            main > section.light-section::before {
                content: "";
                position: absolute;
                top: 0;
                left: 50%;
                width: 100cqw;
                height: 100%;
                background-color: var(--light-background-color);
                transform: translateX(-50%);
                z-index: -1;
            }

div.note {
    margin: 48px 0;
    padding: 8px 32px;
    background-color: #00000020;
}

    div.note > h3:first-child {
        margin-top: 16px;
    }

h1 {
    margin: 64px 0 40px 0;
    font-family: var(--bold-fonts);
    font-size: 3em;
    line-height: 1.5;
}

h2 {
    margin: 32px 0 16px 0;
    font-family: var(--bold-fonts);
    font-size: 1.75em;
}

h3 {
    margin: 24px 0 16px 0;
    font-family: var(--bold-fonts);
    font-size: 1.25em;
}

h4 {
    margin: 24px 0 16px 0;
    font-family: var(--bold-fonts);
    font-size: 1.1em;
}

p {
    margin: 16px 0;
    text-align: justify;
}

a {
    color: inherit;
}

    a.button {
        display: inline-block;
        padding: 4px 32px;
        font-size: 1.25em;
        border: 1px solid var(--text-color);
        border-radius: 10000px;
        text-decoration: none;
    }

small {
    font-size: smaller;
}

pre {
    margin: 0;
}

code {
    margin: 24px 0;
    font-size: 0.9em;
    line-height: 1.25;
}

table {
    margin: 16px 0;
}

    table th, table td {
        padding: 0 16px 0 0;
        vertical-align: top;
    }

    table th {
        text-align: left;
    }

.center {
    text-align: center;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@media screen and (max-width: 1343px) {
    main > section {
        margin: 0 32px;
        width: unset;
    }
}

@media screen and (max-width: 959px) {
    body {
        font-size: 14px;
    }
}

@media screen and (max-width: 639px) {
    main > section {
        margin: 0 24px;
    }

    h1 {
        font-size: 2.5em;
    }

    h2 {
        font-size: 1.5em;
    }

    a.button {
        font-size: 1em;
    }
}
